{ config, ... }:
{
  fileSystems = {
    # Games and such
    "/mnt/Linux1" = {
      device = "/dev/disk/by-uuid/b2901f8c-ffda-4b88-bb63-a9ea0c96ccb4";
      options = [ "nosuid" "nodev" "nofail" "x-gvfs-show" ];
    };
    "/mnt/Linux2" = {
      device = "/dev/disk/by-uuid/f08e4f38-162c-402f-ba2a-5925151b78bf";
      options = [ "nosuid" "nodev" "nofail" "x-gvfs-show" ];
    };
    "/mnt/Linux3" = {
      device = "/dev/disk/by-uuid/e7bc75bd-c371-4b28-b212-7be9b1fad339";
      options = [ "nosuid" "nodev" "nofail" "x-gvfs-show" ];
    };
    "/mnt/Windows1" = {
      device = "/dev/disk/by-uuid/48F5C6E06416229C";
      options = [ "nosuid" "nodev" "noauto" ];
    };
    "/mnt/Windows2" = {
      device = "/dev/disk/by-uuid/0A5A3420237C863A";
      options = [ "nosuid" "nodev" "noauto" ];
    };

    # Bulk storage mounts
    "/persist/var/lib/libvirt" = {
      device = "/dev/disk/by-uuid/abf78669-de2a-4afa-8e62-604f4e4cb355";
      options = [ "subvol=libvirt" "nosuid" "nodev" "nofail" ];
    };
    "/persist/home/jimbo/VMs" = {
      device = "/dev/disk/by-uuid/abf78669-de2a-4afa-8e62-604f4e4cb355";
      options = [ "subvol=images" "nosuid" "nodev" "nofail" ];
    };

    # Network mounts
    "/home/jimbo/JimboNFS" = {
      device = "${config.ips.server}:/export/JimboNFS";
      fsType = "nfs4";
      options = [ "x-systemd.automount" "noauto" ];
    };
  };
}
