{ pkgs, config, ... }:
{
  users.users = {
    jimbo = {
      description = "Jimbo";
      hashedPassword = config.secrets.jimboAccPass;
      isNormalUser = true;
      openssh.authorizedKeys.keys = [
        (builtins.readFile ../../../../../hosts/tower/id_ed25519.pub)

        (builtins.readFile ../../../../../hosts/axolotl/id_ed25519.pub)
        (builtins.readFile ../../../../../hosts/lacros/id_ed25519.pub)
        (builtins.readFile ../../../../../hosts/redmond/id_ed25519.pub)

        (builtins.readFile ../../../../../hosts/kitty/id_ed25519.pub)
        (builtins.readFile ../../../../../hosts/xenia/id_ed25519.pub)
        (builtins.readFile ../../../../../hosts/prophet/id_ed25519.pub)

        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIJahAoF74BY6GCTsFkt1ADKaraFgJJozW1Y1aBTLK0j9 Pixel9"
      ];
      extraGroups = [
        "wheel"
        "audio"
        "video"
        "input"
        "disk"
        "dialout"
        "rtkit"
        "kvm"
        "libvirtd"
        "qemu-libvirtd"
        "nginx"
        "minecraft"
        "nfsShare"
      ];
      uid = 1000;
      shell = pkgs.zsh;
    };
  };

  home-manager.users.jimbo = import ../../../../home;
}
