{ config, lib, pkgs, ... }:
{
  options.system.wireless.enable = lib.mkOption {
    type = lib.types.bool;
    default = true;
    description = "Enable Wifi with iwd";
  };

  config = lib.mkIf config.system.wireless.enable {
    networking = {
      wireless.iwd.enable = true;
      enableB43Firmware = true;
    };

    environment = {
      systemPackages = with pkgs; [ impala ];
      persistence."/persist".directories = [ "/var/lib/iwd/" ];
    };
  };
}
