{ lib, pkgs, config, ... }:
{
  options.system.video.nouveau.enable = lib.mkOption {
    type = lib.types.bool;
    default = false;
    description = "Enable the open-source Nouveau driver";
  };

  config = lib.mkIf config.system.video.nouveau.enable {
    services.xserver.videoDrivers = [ "nouveau" ];
    boot.kernelParams = [ "nouveau.config=NvGspRm=1" ];
  };
}
